<br><br><div class="gmail_quote">On Thu, Aug 4, 2011 at 11:46, Thomas Kluyver <span dir="ltr">&lt;<a href="mailto:takowl@gmail.com">takowl@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

I&#39;ve started a wiki page about how to update Python code that calls on IPython, because all previous code won&#39;t work with 0.11<br><br><a href="http://wiki.ipython.org/Cookbook/Updating_code_that_uses_IPython_for_0.11" target="_blank">http://wiki.ipython.org/Cookbook/Updating_code_that_uses_IPython_for_0.11</a><br>



<br>Feel free to add to this if you&#39;ve updated code for more complex use cases.<br></blockquote><div><br></div><div>Thanks, good start.  I fixed an error that imported TerminalInteractiveShell from terminal.embed instead of terminal.interactiveshell. While the original does work, it isn&#39;t where the class is defined, and isn&#39;t guaranteed to remain functional (though in all likelihood it will).</div>

<div><br></div><div>-MinRK</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;"><font color="#888888"><br>Thomas<br>
</font><br>_______________________________________________<br>
IPython-User mailing list<br>
<a href="mailto:IPython-User@scipy.org">IPython-User@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/ipython-user" target="_blank">http://mail.scipy.org/mailman/listinfo/ipython-user</a><br>
<br></blockquote></div><br>